Set default codes for up to 300 creators; valid rows update when others fail
PATCH
/api/public/v1/campaign_affiliates/bulkLiveAnswers from your brand's records now.
Operation id bulkUpdateCampaignAffiliates
Request
curl
curl -X PATCH "https://creator.growthdept.ai/api/public/v1/campaign_affiliates/bulk" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"affiliates":[{"id":1024,"tag":"MAYA15"}]}'Request body
| Field | Type | Notes |
|---|---|---|
| affiliates | array of object | required |
| affiliates[].[].id | integer | required |
| affiliates[].[].tag | string | required |
Example
{
"affiliates": [
{
"id": 1024,
"tag": "MAYA15"
}
]
}Responses
200Success
| Field | Type | Notes |
|---|---|---|
| errors | array of object | |
| errors[].[].error | string | |
| errors[].[].id | integer | |
| success | boolean | |
| updated | array of object | |
| updated[].[].id | integer | |
| updated[].[].tag | string |
Example
{
"errors": [
{
"error": "string",
"id": 1024
}
],
"success": true,
"updated": [
{
"id": 1024,
"tag": "MAYA15"
}
]
}Errors: 401422with an error and usually a message. See errors.
Example values are made up from each field's type and name.